org.hibernate.search.elasticsearch.util.impl

## Enum FieldHelper.ExtendedFieldType

- java.lang.Object
- - java.lang.Enum<FieldHelper.ExtendedFieldType>
  - - org.hibernate.search.elasticsearch.util.impl.FieldHelper.ExtendedFieldType

- All Implemented Interfaces:
    Serializable, Comparable<FieldHelper.ExtendedFieldType>
  Enclosing class:
    FieldHelper

      public static enum FieldHelper.ExtendedFieldType
      extends Enum<FieldHelper.ExtendedFieldType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `CALENDAR`
    `DATE`
    `DOUBLE`
    `FLOAT`
    `INSTANT`
    `INTEGER`
    `LOCAL_DATE`
    `LOCAL_DATE_TIME`
    `LOCAL_TIME`
    `LONG`
    `MONTH_DAY`
    `OBJECT`
    `OFFSET_DATE_TIME`
    `OFFSET_TIME`
    `STRING`
    `UNKNOWN`
    `UNKNOWN_NUMERIC`
    `YEAR`
    `YEAR_MONTH`
    `ZONED_DATE_TIME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNumeric()`
    `static FieldHelper.ExtendedFieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldHelper.ExtendedFieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final FieldHelper.ExtendedFieldType STRING

    - #### BOOLEAN

          public static final FieldHelper.ExtendedFieldType BOOLEAN

    - #### DATE

          public static final FieldHelper.ExtendedFieldType DATE

    - #### CALENDAR

          public static final FieldHelper.ExtendedFieldType CALENDAR

    - #### INSTANT

          public static final FieldHelper.ExtendedFieldType INSTANT

    - #### LOCAL_DATE

          public static final FieldHelper.ExtendedFieldType LOCAL_DATE

    - #### LOCAL_TIME

          public static final FieldHelper.ExtendedFieldType LOCAL_TIME

    - #### LOCAL_DATE_TIME

          public static final FieldHelper.ExtendedFieldType LOCAL_DATE_TIME

    - #### OFFSET_DATE_TIME

          public static final FieldHelper.ExtendedFieldType OFFSET_DATE_TIME

    - #### OFFSET_TIME

          public static final FieldHelper.ExtendedFieldType OFFSET_TIME

    - #### ZONED_DATE_TIME

          public static final FieldHelper.ExtendedFieldType ZONED_DATE_TIME

    - #### YEAR

          public static final FieldHelper.ExtendedFieldType YEAR

    - #### YEAR_MONTH

          public static final FieldHelper.ExtendedFieldType YEAR_MONTH

    - #### MONTH_DAY

          public static final FieldHelper.ExtendedFieldType MONTH_DAY

    - #### OBJECT

          public static final FieldHelper.ExtendedFieldType OBJECT

    - #### INTEGER

          public static final FieldHelper.ExtendedFieldType INTEGER

    - #### LONG

          public static final FieldHelper.ExtendedFieldType LONG

    - #### FLOAT

          public static final FieldHelper.ExtendedFieldType FLOAT

    - #### DOUBLE

          public static final FieldHelper.ExtendedFieldType DOUBLE

    - #### UNKNOWN_NUMERIC

          public static final FieldHelper.ExtendedFieldType UNKNOWN_NUMERIC

    - #### UNKNOWN

          public static final FieldHelper.ExtendedFieldType UNKNOWN

  - ### Method Detail

    - #### values

          public static FieldHelper.ExtendedFieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldHelper.ExtendedFieldType c : FieldHelper.ExtendedFieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldHelper.ExtendedFieldType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isNumeric

          public boolean isNumeric()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved